<?php


namespace App\Components\Sidebar\SidebarMenu;


use Nette\Application\UI\Control;

class SidebarMenu extends Control
{
    use TSidebarMenuNode;

    public function render()
    {
        $this->template->setFile(__DIR__ . '/templates/menu.latte');
        $this->template->nodes = $this->getComponents();
        $this->template->render();
    }
}